#include "indicadorgrupbotonset.h"
#include "ui_indicadorgrupbotonset.h"

IndicadorGrupBotonsEt::IndicadorGrupBotonsEt(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndicadorGrupBotonsEt)
{
    ui->setupUi(this);

    ibE = new IndiccadorBotonsEt(NOM_BOTO_ESQ);
    ibC = new IndiccadorBotonsEt(NOM_BOTO_CEN);
    ibD = new IndiccadorBotonsEt(NOM_BOTO_DRE);

    ui->vlEsq->addWidget(ibE);
    ui->vlCentre->addWidget(ibC);
    ui->vlDreta->addWidget(ibD);
    //vSetEstatBoto(NOM_BOTO_CEN,true);
}

IndicadorGrupBotonsEt::~IndicadorGrupBotonsEt()
{
    delete ui;
}

void IndicadorGrupBotonsEt::vSetEstatBoto(QString qsQuin,bool bEstat){
    if(qsQuin == NOM_BOTO_ESQ)
        ibE->vSetEstatBoto(bEstat);
    if(qsQuin == NOM_BOTO_CEN)
        ibC->vSetEstatBoto(bEstat);
    if(qsQuin == NOM_BOTO_DRE)
        ibD->vSetEstatBoto(bEstat);
}
